//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <vector>
#include <algorithm>
#include <conio.h> //  getch()
#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}


int main(int argc, char* argv[])
{
  char str[] = "   .";
  vector<char> v, v2(30);
  unsigned int i;

  for(i=0; str[i]; i++) v.push_back(str[i]);

  //   remove_copy

  cout << ToRus(" : ");
  for(i=0; i<v.size(); i++)
  {
     char c[2];
     c[0]=v[i];c[1]='\0';
     CharToOem(c,c);
     cout << c;
  }
  cout << endl;

  //    ''.
  remove_copy(v.begin(), v.end(), v2.begin(), '');

  cout << ToRus("   '': ");
  for(i=0; v2[i]; i++)
  {
     char c[2];
     c[0]=v2[i];c[1]='\0';
     CharToOem(c,c);
     cout << c;
  }
  cout << endl << endl;

  //   replace_copy
  cout << ToRus(" : ");
  for(i=0; i<v.size(); i++)
  {
     char c[2];
     c[0]=v[i];c[1]='\0';
     CharToOem(c,c);
     cout << c;
  }
  cout << endl;
  //   ''  'X'
  replace_copy(v.begin(), v.end(), v2.begin(), '', 'X');

  cout << ToRus("   ''  'X': ");
  for(i=0; v2[i]; i++)
  {
     char c[2];
     c[0]=v2[i];c[1]='\0';
     CharToOem(c,c);
     cout << c;
  }
  cout << endl << endl;

  getch();
  return 0;
}
//---------------------------------------------------------------------------
